// pages/me/vip/index.js

Page({
  /**
   * 页面的初始数据
   */
  data: {
    value1: 1,
    value2: 0.1,

    is_vip: 0,
    vip_endtime: null,
    vip_price: 49.9
  },

  handleChange1({ detail }) {
    this.setData({
      value1: detail.value
    })
  },

  handleChange2({ detail }) {
    this.setData({
      value2: detail.value
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let is_vip = options.is_vip
    let vip_endtime = options.vip_endtime
    this.setData({
      is_vip: is_vip,
      vip_endtime: vip_endtime
    })
  },

  // 获取VIP单价
  getVipPrice: function () {
    api.me.vipPrice().then(res => {
      if (!res.code) {
        this.setData({
          vip_price: res.price
        })
      }else{
        wx.showToast({
          title: res.msg
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})